Kroger Ad Platform API

Get Remaining Budget Campaign By Id

Get Remaining campaign from the Media Platform by ID.

get
https://api.8451.com/kap/v2/campaigns/{campaign_id}/remaining_budget

Path Parameters

campaign_idintegerrequired

Response

application/json

Successful Response

CampaignRemainingBudgetResponse

remainingBudgetAmountstringrequired

The budget amount remaining for the campaign.

Match pattern:^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$

get/campaigns/{campaign_id}/remaining_budget
 
application/json

Current User Information

Current User Information

get
https://api.8451.com/kap/v2/users/me

Response

200 application/json

Successful Response

User

firstNamestring

The first name of the user.

Default:

lastNamestring

The last name of the user.

Default:

emailstring

The email of the user.

Default:

organizationstring

The organization of the user.

Default:

get/users/me
 
200 application/json

Create Ad Group

Create an Ad Group that are groups of UPCs that share a similar target. Read more about Ad groups in our Media Platform Learning Center.

post
https://api.8451.com/kap/v2/ad_groups

Body

application/json

CreateAdGroupLegacyRequestV2

campaignIdintegerrequired

The campaign id associated with this ad group.

Default:0

namestringrequired

The ad group name.

Default:

>= 1 characters

startDatestringrequired

The start date of the ad group.

endDateAny Of

The end date of the ad group. If null the ad group is considered ‘always-on’ and will stop when/if the campaign has an end date.

Default:

Variant 1string
budgetAmountnumberrequired

The budget of the ad group. The sum of all the budgets from the ad group(s) may not exceed the campaign budget.

Default:0

statusstringrequired

Allowed values:DRAFTSCHEDULEDACTIVEENDEDPAUSEDFAILEDUNDER REVIEW

baseBidnumberrequired

The base bid used for all entities that have the useBaseBid flag as true. It must be above the highers floor price of the placement(s) selected.

Default:0

entitiesarray[object]required

The products to be advertised.

Show Child Parameters
targetsarray[object]required

The target dimensions for this ad group. Includes placements, divisions, and day parting.

Show Child Parameters
carouselHeadlineAny Of

This headline is displayed above the product cards to differentiate your Carousel from other listings

Variant 1string
carouselSubtextAny Of

Add subtext to carousel ad group.

Variant 1string

Response

application/json

Successful Response

SingleResponse[AdGroupV2]

dataAny Of

Data of the response.

AdGroupV2object
Show Child Parameters
metaobjectrequired
Show Child Parameters
post/ad_groups

Body

{ "campaignId": 0, "name": "", "startDate": "string", "endDate": "", "budgetAmount": 0, "status": "DRAFT", "baseBid": 0, "entities": [ { "id": 0, "useBaseBid": true, "bidAmount": {}, "deleted": true } ], "targets": [ { "type": 0, "id": {}, "values": {} } ], "carouselHeadline": {} }
 
application/json

Get Ad Group

Retrieve a list of Ad Groups. Read more about Ad groups in our Media Platform Learning Center.

get
https://api.8451.com/kap/v2/ad_groups

Query Parameters

campaign_idinteger

The campaign ID to get Ad Group for

offsetinteger

Page offset

Allowed values:

sizeinteger

Number of items per page

Allowed values:100

sort_orderinteger

Sort order (asc 1 or desc -1)

Allowed values:1

sort_fieldstring

Field to sort by

Allowed values:"id"

Response

application/json

Successful Response

ListResponse[AdGroupV2]

dataarray[object]required

List of single response data.

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/ad_groups
 
application/json

Get Ad Group By Id

Retrieve an Ad Group from the Media Platform by ID. Read more about Ad groups in our Media Platform Learning Center.

get
https://api.8451.com/kap/v2/ad_groups/{ad_group_id}

Path Parameters

ad_group_idintegerrequired

Response

application/json

Successful Response

SingleResponse[AdGroupV2]

dataAny Of

Data of the response.

AdGroupV2object
Show Child Parameters
metaobjectrequired
Show Child Parameters
get/ad_groups/{ad_group_id}
 
application/json